Bug 674273 - Flapping errors (and panic) with bonding and arp_interval while using be2net included in 2.6.18-238 [rhel-5.6.z]
Summary: Flapping errors (and panic) with bonding and arp_interval while using be2net ...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.6
Hardware: x86_64
OS: Linux
urgent
high
Target Milestone: rc
: ---
Assignee: Jiri Pirko
QA Contact: Hangbin Liu
URL:
Whiteboard:
Keywords: ZStream
Depends On: 671595
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-01 09:12 UTC by RHEL Product and Program Management
Modified: 2018-11-14 14:22 UTC (History)
16 users (show)

(edit)
Prior to this update, the be2net driver failed to work with bonding, causing "flapping" errors (the interface switches between states up and down) in the active interface. This was due to the fact that the netdev->trans_start pointer in the be_xmit function was not updated. With this update, the aforementioned pointer has been properly updated and "flapping" errors no longer occur.
Clone Of:
(edit)
Last Closed: 2011-03-01 20:30:51 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0303 normal SHIPPED_LIVE Moderate: kernel security and bug fix update 2011-03-01 20:29:26 UTC

Description RHEL Product and Program Management 2011-02-01 09:12:44 UTC
This bug has been copied from bug #671595 and has been proposed
to be backported to 5.6 z-stream (EUS).

Comment 3 Jiri Pirko 2011-02-03 09:20:12 UTC
in kernel-2.6.18-238.4.1.el5

linux-2.6-net-be2net-fix-missing-trans_start-update.patch

Comment 5 Gerardo Arceri 2011-02-09 15:22:05 UTC
Do you know when this kernel version will be made available ?
Thanks in advance.

Comment 6 Jiri Pirko 2011-02-10 09:42:58 UTC
(In reply to comment #5)
> Do you know when this kernel version will be made available ?
> Thanks in advance.

Early March.

Comment 7 Gerardo Arceri 2011-02-10 15:32:30 UTC
Is there any test kernel version we could use to start deploying the servers without waiting until march (our customer is in a hurry!).
Thanks

Comment 8 Jiri Pirko 2011-02-10 16:30:24 UTC
(In reply to comment #7)
> Is there any test kernel version we could use to start deploying the servers
> without waiting until march (our customer is in a hurry!).
> Thanks

I can provide you such test kernel. Which arch are you interested in?

Comment 9 Gerardo Arceri 2011-02-10 17:23:46 UTC
I need x86_64 at least, i386 will be nice to have.
Thanks

Comment 11 Jiri Pirko 2011-02-10 19:55:06 UTC
(In reply to comment #9)
> I need x86_64 at least, i386 will be nice to have.
> Thanks

http://people.redhat.com/jpirko/test/

Please let me know if you need anything more.

Comment 12 Gerardo Arceri 2011-02-10 20:06:02 UTC
Do you have the kernel-devel packages ?

Comment 13 Jiri Pirko 2011-02-10 21:23:43 UTC
(In reply to comment #12)
> Do you have the kernel-devel packages ?

They are there now.

Comment 14 Gerardo Arceri 2011-02-11 18:48:37 UTC
(In reply to comment #13)
> (In reply to comment #12)
> > Do you have the kernel-devel packages ?
> 
> They are there now.

One more thing, what are the chances of getting an updated boot image for 5.6 we could use to kickstart servers without having to reconfigure the network later (since with the original 5.6 kernel it will panic as soon as the bonded interface is brought up).

Comment 37 Gerardo Arceri 2011-02-21 15:12:03 UTC
Any news regarding getting the updated boot image ?

Comment 39 errata-xmlrpc 2011-03-01 20:30:51 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0303.html

Comment 41 Martin Prpič 2011-07-13 20:19:16 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Prior to this update, the be2net driver failed to work with bonding, causing "flapping" errors (the interface switches between states up and down) in the active interface. This was due to the fact that the netdev->trans_start pointer in the be_xmit function was not updated. With this update, the aforementioned pointer has been properly updated and "flapping" errors no longer occur.


Note You need to log in before you can comment on or make changes to this bug.